import { Meta, Typeset, Story, Canvas } from '@storybook/blocks';
import { width } from './util/decorator';
import { cuiDemo } from './util/demo';
import { demoHead1, demoHead2, demoInline, demoBlockquote1, demoBlockquote2, demoList1, demoList2, demoTable } from './util/typography';
import * as TypographyBlockquotesStories from './Typography-blockquotes.stories';

<Meta of={TypographyBlockquotesStories} />

# Blockquotes

For quoting blocks of content from another source within your document. Wrap `<blockquote>` around any HTML as the quote.

<Canvas withSource="open">
  <Story of={TypographyBlockquotesStories.Blockquotes} />
</Canvas>

The HTML spec requires that blockquote attribution be placed outside the `<blockquote>`. When providing attribution, wrap your `<blockquote>` in a `<figure>` and use a `<figcaption>` or a block level element (e.g., `<p>`) with the .blockquote-footer class. Be sure to wrap the name of the source work in `<cite>` as well.

<Canvas withSource="open">
  <Story of={TypographyBlockquotesStories.BlockquotesWithSource} />
</Canvas>
